@import (inline) "../../../../node_modules/cropperjs/dist/cropper.css";

/* --- Avatars of users, courses and institutes ----------------------------- */
.avatar-small {
    vertical-align: middle;
    .size(25px, 25px);
}
.avatar-medium {
    max-width: 100px;
    height: 100px;
}
.avatar-normal {
    max-width: 250px;
    height: 250px;
}

.course-avatar-small {
    vertical-align: middle;
    max-width: 25px;
    height: 25px;
}
.course-avatar-medium {
    max-width: 100px;
    height: 100px;
}
.course-avatar-normal {
    max-height: 250px;
    width: 250px;
}

div.avatar-widget {
    position: relative;

    .profile-avatar {
        vertical-align: middle;
        margin: 5px 0px;
        position: relative;
    }

    div.avatar-overlay {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;

        margin: 0;
        padding: 0;

        transition: opacity .5s ease-in-out;
        background-color: fadeout(@base-color, 33.3%);
        opacity: 0;

        &:hover {
            opacity: 1;
        }

        &.dragging {
            left: -2px;
            top: -2px;
            background-color: fadeout(@base-color-40, 33.3%);
            border: 2px dashed @base-color;
            opacity: 1;
        }
        
        a {
            color: @white;
            display: block;
            height: 100%;
            width: 100%;

            span {
                position: absolute;
                bottom: 1em;
                left: 0;
                width: 100%;
            }
        }
    }
}

#custom_avatar label {
    display: block;
    font-weight: bold;
}

div#avatar {
    img {
        max-width: 100%;
    }
}

form.settings-avatar {

    .avatar-normal {
        display: block;
        margin-left: auto;
        margin-right: auto;
        padding: 2em;
    }

    .file-upload {
        flex: 1 1 auto;
        position: relative;
        top: 2em;
    }

    .form-text {
        color: initial;
    }

    .media-breakpoint-small-up({ .form-group {
        display: flex;
        align-items: normal;
    } });

    .media-breakpoint-small-down({
        .file-upload {
            position: initial;
            left: 0;
            top: 0;
        }
        .form-group {
            display: initial;
        }
    });

    .cropper-container {
        margin-left: auto;
        margin-right: auto;

        .cropper-view-box {
            outline: 1px solid @base-color-80;
        }

        .cropper-line, .cropper-point {
            background-color: @base-color-80;
        }
    }

    #avatar-buttons {
        padding-left: 5px;
        padding-right: 5px;
        text-align: left;
        width: 150px;

        a {
            align-items: center;
            display: flex;
            margin-bottom: 10px;

            img {
                padding-right: 5px;
            }
        }
    }
}
